GDCM: gdcm::network::ULConnectionManager Class Reference

GDCM 3.2.10

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
gdcm::network::ULConnectionManager Class Reference

ULConnectionManager. More...

`#include <gdcmULConnectionManager.h>`

Inheritance diagram for gdcm::network::ULConnectionManager:
[legend]
Collaboration diagram for gdcm::network::ULConnectionManager:
[legend]

## Public Member Functions
| ULConnectionManager ()
| ~ULConnectionManager () override
bool | BreakConnection (const double &inTimeout)
void | BreakConnectionNow ()
bool | EstablishConnection (const std::string &inAETitle, const std::string &inConnectAETitle, const std::string &inComputerName, long inIPAddress, uint16_t inConnectPort, double inTimeout, std::vector< PresentationContext > const &pcVector)
bool | EstablishConnectionMove (const std::string &inAETitle, const std::string &inConnectAETitle, const std::string &inComputerName, long inIPAddress, uint16_t inConnectPort, double inTimeout, uint16_t inReturnPort, std::vector< PresentationContext > const &pcVector)
std::vector< PresentationDataValue > | SendEcho ()
std::vector< DataSet > | SendFind (const BaseRootQuery *inRootQuery)
void | SendFind (const BaseRootQuery *inRootQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendMove (const BaseRootQuery *inRootQuery)
bool | SendMove (const BaseRootQuery *inRootQuery, ULConnectionCallback *inCallback)
| return false upon error
std::vector< DataSet > | SendNAction (const BaseQuery *inQuery)
void | SendNAction (const BaseQuery *inQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendNCreate (const BaseQuery *inQuery)
void | SendNCreate (const BaseQuery *inQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendNDelete (const BaseQuery *inQuery)
void | SendNDelete (const BaseQuery *inQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendNEventReport (const BaseQuery *inQuery)
void | SendNEventReport (const BaseQuery *inQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendNGet (const BaseQuery *inQuery)
void | SendNGet (const BaseQuery *inQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendNSet (const BaseQuery *inQuery)
void | SendNSet (const BaseQuery *inQuery, ULConnectionCallback *inCallback)
std::vector< DataSet > | SendStore (const File &file, std::istream *pStream=nullptr, std::streampos dataSetOffset=0)
void | SendStore (const File &file, ULConnectionCallback *inCallback, std::istream *pStream=nullptr, std::streampos dataSetOffset=0)
| callback based API
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Protected Member Functions
| ULConnectionManager (const ULConnectionManager &inCM)
EStateID | RunEventLoop (ULEvent &inEvent, ULConnection *inWhichConnection, ULConnectionCallback *inCallback, const bool &startWaiting)
EStateID | RunMoveEventLoop (ULEvent &inEvent, ULConnectionCallback *inCallback)
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Protected Attributes
ULConnection * | mConnection
ULConnection * | mSecondaryConnection
ULTransitionTable | mTransitions

## Detailed Description

ULConnectionManager.

The ULConnectionManager performs actions on the ULConnection given inputs from the user and from the state of what's going on around the connection (ie, timeouts of the ARTIM timer, responses from the peer across the connection, etc).

Its inputs are ULEvents, and it performs ULActions.

## Constructor & Destructor Documentation

## ◆ ULConnectionManager() [1/2]

gdcm::network::ULConnectionManager::ULConnectionManager | ( | const ULConnectionManager & | inCM | ) |
| protected

References ULConnectionManager().

Referenced by ULConnectionManager().

## ◆ ULConnectionManager() [2/2]

gdcm::network::ULConnectionManager::ULConnectionManager | ( |  | ) |

## ◆ ~ULConnectionManager()

gdcm::network::ULConnectionManager::~ULConnectionManager | ( |  | ) |
| override

## Member Function Documentation

## ◆ BreakConnection()

bool gdcm::network::ULConnectionManager::BreakConnection | ( | const double & | inTimeout | ) |

## ◆ BreakConnectionNow()

void gdcm::network::ULConnectionManager::BreakConnectionNow | ( |  | ) |

## ◆ EstablishConnection()

bool gdcm::network::ULConnectionManager::EstablishConnection | ( | const std::string & | inAETitle,
|  | const std::string & | inConnectAETitle,
|  | const std::string & | inComputerName,
|  | long | inIPAddress,
|  | uint16_t | inConnectPort,
|  | double | inTimeout,
|  | std::vector< PresentationContext > const & | pcVector )

returns true if a connection of the given AETitle (ie, 'this' program) is able to connect to the given AETitle and Port in a certain amount of time providing the connection type will establish the proper exchange syntax with a server; if a different functionality is required, a different connection should be established. returns false if the connection type is 'move'– have to give a return port for move to work as specified.

## ◆ EstablishConnectionMove()

bool gdcm::network::ULConnectionManager::EstablishConnectionMove | ( | const std::string & | inAETitle,
|  | const std::string & | inConnectAETitle,
|  | const std::string & | inComputerName,
|  | long | inIPAddress,
|  | uint16_t | inConnectPort,
|  | double | inTimeout,
|  | uint16_t | inReturnPort,
|  | std::vector< PresentationContext > const & | pcVector )

returns true for above reasons, but contains the special 'move' port

## ◆ RunEventLoop()

EStateID gdcm::network::ULConnectionManager::RunEventLoop | ( | ULEvent & | inEvent,
|  | ULConnection * | inWhichConnection,
|  | ULConnectionCallback * | inCallback,
|  | const bool & | startWaiting )
| protected

## ◆ RunMoveEventLoop()

EStateID gdcm::network::ULConnectionManager::RunMoveEventLoop | ( | ULEvent & | inEvent,
|  | ULConnectionCallback * | inCallback )
| protected

## ◆ SendEcho()

std::vector< PresentationDataValue > gdcm::network::ULConnectionManager::SendEcho | ( |  | ) |

## ◆ SendFind() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendFind | ( | const BaseRootQuery * | inRootQuery | ) |

## ◆ SendFind() [2/2]

void gdcm::network::ULConnectionManager::SendFind | ( | const BaseRootQuery * | inRootQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendMove() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendMove | ( | const BaseRootQuery * | inRootQuery | ) |

## ◆ SendMove() [2/2]

bool gdcm::network::ULConnectionManager::SendMove | ( | const BaseRootQuery * | inRootQuery,
|  | ULConnectionCallback * | inCallback )

return false upon error

## ◆ SendNAction() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendNAction | ( | const BaseQuery * | inQuery | ) |

## ◆ SendNAction() [2/2]

void gdcm::network::ULConnectionManager::SendNAction | ( | const BaseQuery * | inQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendNCreate() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendNCreate | ( | const BaseQuery * | inQuery | ) |

## ◆ SendNCreate() [2/2]

void gdcm::network::ULConnectionManager::SendNCreate | ( | const BaseQuery * | inQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendNDelete() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendNDelete | ( | const BaseQuery * | inQuery | ) |

## ◆ SendNDelete() [2/2]

void gdcm::network::ULConnectionManager::SendNDelete | ( | const BaseQuery * | inQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendNEventReport() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendNEventReport | ( | const BaseQuery * | inQuery | ) |

## ◆ SendNEventReport() [2/2]

void gdcm::network::ULConnectionManager::SendNEventReport | ( | const BaseQuery * | inQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendNGet() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendNGet | ( | const BaseQuery * | inQuery | ) |

## ◆ SendNGet() [2/2]

void gdcm::network::ULConnectionManager::SendNGet | ( | const BaseQuery * | inQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendNSet() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendNSet | ( | const BaseQuery * | inQuery | ) |

## ◆ SendNSet() [2/2]

void gdcm::network::ULConnectionManager::SendNSet | ( | const BaseQuery * | inQuery,
|  | ULConnectionCallback * | inCallback )

## ◆ SendStore() [1/2]

std::vector< DataSet > gdcm::network::ULConnectionManager::SendStore | ( | const File & | file,
|  | std::istream * | pStream = nullptr,
|  | std::streampos | dataSetOffset = 0 )

## ◆ SendStore() [2/2]

void gdcm::network::ULConnectionManager::SendStore | ( | const File & | file,
|  | ULConnectionCallback * | inCallback,
|  | std::istream * | pStream = nullptr,
|  | std::streampos | dataSetOffset = 0 )

callback based API

## Member Data Documentation

## ◆ mConnection

ULConnection* gdcm::network::ULConnectionManager::mConnection
| protected

## ◆ mSecondaryConnection

ULConnection* gdcm::network::ULConnectionManager::mSecondaryConnection
| protected

## ◆ mTransitions

ULTransitionTable gdcm::network::ULConnectionManager::mTransitions
| protected

The documentation for this class was generated from the following file:

- gdcmULConnectionManager.h